package stackjava.com.readrss;

import java.net.URL;
import java.util.List;

import com.rometools.rome.feed.synd.SyndEntry;
import com.rometools.rome.feed.synd.SyndFeed;
import com.rometools.rome.io.SyndFeedInput;
import com.rometools.rome.io.XmlReader;

public class Demo {
	public static void main(String[] args) throws Exception {
		String url = "https://stackjava.com/feed";
//		String url = "https://www.24h.com.vn/upload/rss/trangchu24h.rss";
//		String url = "https://vnexpress.net/rss/tin-moi-nhat.rss";
		URL feedUrl = new URL(url);
		SyndFeedInput input = new SyndFeedInput();
		SyndFeed feed = input.build(new XmlReader(feedUrl));
		for (SyndEntry entry : (List<SyndEntry>) feed.getEntries()) {
			System.out.println("-----------------------------");
			System.out.println("Title : " + entry.getTitle());
			System.out.println("Author: "+entry.getAuthor());
			System.out.println("Link  : "+entry.getLink());
		}
	}
}
